Classes | Enumerations

# calctrl.h File Reference

## Classes
class | wxCalendarEvent
| The wxCalendarEvent class is used together with wxCalendarCtrl. More...
class | wxCalendarDateAttr
| wxCalendarDateAttr is a custom attributes for a calendar date. More...
class | wxCalendarCtrl
| The calendar control allows the user to pick a date. More...
## Enumerations
enum | wxCalendarDateBorder { wxCAL_BORDER_NONE, wxCAL_BORDER_SQUARE, wxCAL_BORDER_ROUND }
| Possible kinds of borders which may be used to decorate a date using wxCalendarDateAttr. More...
enum | wxCalendarHitTestResult { wxCAL_HITTEST_NOWHERE, wxCAL_HITTEST_HEADER, wxCAL_HITTEST_DAY, wxCAL_HITTEST_INCMONTH, wxCAL_HITTEST_DECMONTH, wxCAL_HITTEST_SURROUNDING_WEEK, wxCAL_HITTEST_WEEK }
| Possible return values from wxCalendarCtrl::HitTest(). More...

## Enumeration Type Documentation

enum wxCalendarDateBorder

Possible kinds of borders which may be used to decorate a date using wxCalendarDateAttr.

Enumerator:

  wxCAL_BORDER_NONE | No Border (Default).
  wxCAL_BORDER_SQUARE | Rectangular Border.
  wxCAL_BORDER_ROUND | Round Border.

enum wxCalendarHitTestResult

Possible return values from wxCalendarCtrl::HitTest().

Enumerator:

  wxCAL_HITTEST_NOWHERE | Hit outside of anything.
  wxCAL_HITTEST_HEADER | Hit on the header (weekdays).
  wxCAL_HITTEST_DAY | Hit on a day in the calendar.
  wxCAL_HITTEST_INCMONTH | Hit on next month arrow (in alternate month selector mode).
  wxCAL_HITTEST_DECMONTH | Hit on previous month arrow (in alternate month selector mode).
  wxCAL_HITTEST_SURROUNDING_WEEK | Hit on surrounding week of previous/next month (if shown).
  wxCAL_HITTEST_WEEK | Hit on week of the year number (if shown).

|  | [ top ]